csb64enc
Prev | Other Csound Utilities (CS, CSB64ENC, ENVEXT, EXTRACTOR, MAKECSD, MIXER, SCALE, MKDB) | Next

## csb64enc

csb64enc — Converts a binary file to a Base64 encoded text file.

## Description

The csb64enc utility generates a Base64 encoded text file from a binary file, such as a standard MIDI file (.mid) or any type of audio file. It is useful to convert a file in the format accepted by the <CsFileB> section of a csd file, to include the file within it.

## Syntax

    csb64enc [OPTIONS ... ] infile1 [ infile2 [ ... ]]

## Initialization

Flags:

- - w n = set line width of the output file to n (default: 72)

- - o fname = output file name (default: stdout)

## Examples

        csb64enc -w 78 -o file.txt file.mid

This command produces a Base64 encoded text file from the standard MIDI file file.mid. This file can now be pasted within a csd file's <CsFileB> section.

## See also

makecsd

## Credits

Author: Istvan Varga

Jan 2003

Prev | Up | Next
cs | Home | envext